datablock AudioDescription(MASinterceptorLooping3d)
{
   volume   = 10000;
   isLooping= true;

   is3D     = true;
   ReferenceDistance= 8;
   MaxDistance= 110.0;
   type     = $SimAudioType;
};
datablock AudioProfile(MASinterceptorSound)
{
	filename    = "./heli3.wav";
	description = MASinterceptorLooping3d;
	preload = true;
};

datablock WheeledVehicleData(MASinterceptorVehicle)
{
   //Tagged fields for mission editor
      category = "Vehicles";
      displayName = " ";

   //Shapebase Fields
      shapeFile   = "./interceptor4.dts";  
      emap        = true;
      mass        = 180;
      drag        = 0.2;
      density     = 10;
      
      maxDamage = 220.00;
      destroyedLevel = 220.00;
      energyPerDamagePoint = 160;
      speedDamageScale = 50.04;
      collDamageThresholdVel = 20.0;
      collDamageMultiplier   = 0.02;

	defaultTire	= MASinterceptorTire;
	defaultSpring	= MASinterceptorSpring;

	numWheels = 4;

	// Engine
	engineTorque = 5000; //4000;       // Engine power
	engineBrake = 1500;         // Braking when throttle is 0
	brakeTorque = 2500;        // When brakes are applied
	maxWheelSpeed = 15;        // Engine scale by current speed max speed

////////////////////
//Shooting scripts//
////////////////////


//ShootOnClick//

shootonclick=1;
	 
shootonclick_Hold=1;
shootonclick_ShootDelay=200;
shootonclick_ReShootDelay=200;
shootonclick_ProjectileCount=4;
shootonclick_RequiredSlot=0;
shootonclick_Sound=MASinterceptorFireSound1;

//Inner guns

shootonclick_Projectile[0]=MASProtoLaserProjectile;
shootonclick_Position[0]="5 1.9 0";
shootonclick_Velocity[0]="200 0 0";
shootonclick_Scale[0]="1 1 1";

shootonclick_Projectile[1]=MASProtoLaserProjectile;
shootonclick_Position[1]="5 -1.9 0";
shootonclick_Velocity[1]="200 0 0";
shootonclick_Scale[1]="1 1 1";

//Outer guns

shootonclick_Projectile[2]=MASProtoLaserProjectile;
shootonclick_Position[2]="4.6 2.8 0";
shootonclick_Velocity[2]="200 0 0";
shootonclick_Scale[2]="1 1 1";

shootonclick_Projectile[3]=MASProtoLaserProjectile;
shootonclick_Position[3]="4.6 -2.8 0";
shootonclick_Velocity[3]="200 0 0";
shootonclick_Scale[3]="1 1 1";

   //Tagged fields for mounting
      minMountDist = 3;   
      numMountPoints = 1;
      mountThread[0] = "sit";
//      mountThread[1] = "root";

		lookUpLimit = 0.34;
		lookDownLimit = 0.36;

	//protection for passengers
	protectPassengersBurn   = true;  //protect passengers from burning?
	protectPassengersRadius = true;  //protect passengers from radius damage?
	protectPassengersDirect = false; //protect passengers from direct damage?

	//Vehicle Fields:
      jetForce          = 0;
      jetEnergyDrain    = 0;
      minJetEnergy      = 2;
	  maxEnergy			= 100;

      massCenter        = "0 0 0";
//      massBox           = "2 2 2";
      bodyRestitution   = 0.2;
      bodyFriction      = 0.5;		//1
      //softImpactSound   = ; //AudioProfile
      //hardImpactSound   = ; //AudioProfile

      minImpactSpeed    = 15;
      softImpactSpeed   = 25;
      hardImpactSpeed   = 50;
      minRollSpeed      = 0;
      maxSteeringAngle  = 0.8;

//      maxDrag        = 50;
//      minDrag        = 20;
      integration    = 4;
      collisionTol   = 0.1;
      contactTol     = 0.1;

      cameraRoll     = false;
      cameraMaxDist  = 16;        
      cameraLag      = 5.0;
      cameraDecay    = 0.0;
      cameraOffset   = 5.5;
      cameraTilt     = 0.0;

//      dustEmitter       = rocketLauncherSmokeEmitter; //ParticleEmitterData
//      triggerDustHeight = 10.0;
//      dustHeight        = 4.0;

      numDmgEmitterAreas   = 1;
      
      damageEmitter[0] = vehicleBurnEmitter;
      damageEmitterOffset[0] = "0.0 0.0 0.0 ";
      damageLevelTolerance[0] = 0.99;

      damageEmitter[1] = vehicleBurnEmitter;
      damageEmitterOffset[1] = "0.0 0.0 0.0 ";
      damageLevelTolerance[1] = 1.0;

      //splashEmitter[0]        = ; //ParticleEmitterData

      splashFreqMod     = 300.0;
      splashVelEpsilon  = 0.50;

      exitSplashSoundVelocity    = 2.0;
      softSplashSoundVelocity    = 1.0;
      mediumSplashSoundVelocity  = 2.0;
      hardSplashSoundVelocity    = 3.0;

	collDamageThresholdVel  = 20;
	collDamageMultiplier    = 0.05;
	justcollided = 1;

   //For Wrench Gui
      uiName   = "MAS Interceptor";
      rideAble = true;
      paintable = true;
		
   //Flying vehicle fields
      //jetSound = ;      //AudioProfile
      //engineSound = ;   //AudioProfile

//	maneuveringForce = 4200;	// Horizontal jets (W,S,D,A key thrust) 
//	horizontalSurfaceForce = 20;// Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning) 
//	verticalSurfaceForce = 110; // Vertical center "wing" (controls side slip. lower numbers make MORE slide.) 
//	autoInputDamping = 1;		// Dampen control input so you don't` whack out at very slow speeds 
//	steeringForce = 2500;		// Steering jets (force applied when you move the mouse) 
//	steeringRollForce = 100;	// Steering jets (how much you heel over when you turn) 5
//	rollForce = 20;				// Auto-roll (self-correction to right you after you roll/invert) 
//	autoAngularForce = 2500;	// Angular stabilizer force (this force levels you out when autostabilizer kicks in) 
//	rotationalDrag = 30;		// Anguler Drag (dampens the drift after you stop moving the mouse...also tumble drag)
//	autoLinearForce = 1000;		// Linear stabilzer force (this slows you down when autostabilizer kicks in) 
//	maxAutoSpeed = 16;			// Autostabilizer kicks in when less than this speed. (meters/second) 
//	hoverHeight = 3; 			// Height off the ground at rest 
//	createHoverHeight = 1;		// Height off the ground when created
	createHeight	= 2;

	isSled = false;

	forwardThrust		= 3900;		//3800
	reverseThrust		= 3880;
	lift			= 140; //160
	maxForwardVel		= 32;
	maxReverseVel		= 27;
	horizontalSurfaceForce	= 180; //250   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 210; //200
	rollForce		= 10500;
	yawForce		= 8200;
	pitchForce		= 8200;
	rotationalDrag	= 1.0;
	stallSpeed		= 0.1;

      //forwardJetEmitter    = ; //ParticleEmitterData
      //backwardJetEmitter   = ; //ParticleEmitterData
      //downJetEmitter       = ; //ParticleEmitterData
      //trailEmitter         = ; //ParticleEmitterData

	// Advanced Steering
		steeringAutoReturn = false;
		// steeringAutoReturnRate = 0.9;
		// steeringAutoReturnMaxSpeed = 10;
		steeringUseStrafeSteering = false;
		// steeringStrafeSteeringRate = 0.1;

//      minTrailSpeed        = 0;
     	vertThrustMultiple   = 1.1;
   
   //Tagged fields for damage
      initialExplosionProjectile = VehicleExplosionProjectile;
      initialExplosionOffset = 0;         //offset only uses a z value for now

      burnTime = 100;

      finalExplosionProjectile = MASinterceptorFinalExplosionProjectile;
//      finalExplosionProjectile = VehicleFinalExplosionProjectile;
      finalExplosionOffset = 0.5;          //offset only uses a z value for now

      minRunOverSpeed    = 4;   //how fast you need to be going to run someone over (do damage)
      runOverDamageScale = 8;   //when you run over someone, speed * runoverdamagescale = damage amt
      runOverPushScale   = 6; //how hard a person you're running over gets pushed

//	  minMASInterceptorJetSpeed = 22; //30

	//Heighcontrol parameters
	heightcontrol= 1;		//Enables the heightcontrol support for this vehicle
	ascendVelocity= 2.8;	//The velocity it adds when a user presses/holds the jumpkey
	descendVelocity= -1.8;	//The velocity it extracts when a user presses/holds the jumpkey
};

function MASinterceptorVehicle::onAdd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	%obj.playThread(0,"ingnsp_rootSPIN");
	%obj.PlayAudio(0,MASinterceptorSound);

//	MASInterceptorJetCheck(%obj);

	// turret
//	%t = new AIPlayer()
//	{
//		dataBlock = MASMASinterceptorTurret;
//	};

//	MissionCleanup.add(%t);
//	%obj.mountObject(%t, 1);
//	%obj.turret = %t;

//	%obj.creationTime = getSimTime();
//	%t.schedule(10,"rigMASTurret");
}


//function MASinterceptorVehicle::onRemove(%this,%obj)
//{
//	if(isObject(%obj.turret))
//		%obj.turret.delete();
//}
