//Effects
//datablock ParticleData(MASGunshipSmokeParticle)
//{
//	dragCoefficient      = 3;
//	gravityCoefficient   = -1;
//	inheritedVelFactor   = 0.6;
//	constantAcceleration = 0.0;
//	lifetimeMS           = 850;
//	lifetimeVarianceMS   = 55;
//	textureName          = "base/data/particles/cloud";
//	spinSpeed		= 10.0;
//	spinRandomMin		= -500.0;
//	spinRandomMax		= 500.0;
//	colors[0]     = "0.5 0.5 0.5 0.2";
//	colors[1]     = "0.5 0.5 0.5 0.0";
//	sizes[0]      = 0.6;
//	sizes[1]      = 0.8;
//
//	useInvAlpha = true;
//};

//datablock ParticleEmitterData(MASGunshipSmokeEmitter)
//{
//   ejectionPeriodMS = 10;
//   periodVarianceMS = 4;
//   ejectionVelocity = 3;
//   velocityVariance = 2;
//   ejectionOffset   = 0;
//   thetaMin         = 0;
//   thetaMax         = 50;
//   phiReferenceVel  = 0;
//   phiVariance      = 360;
//   overrideAdvance = false;
//   particles = "MASGunshipSmokeParticle";
//
//   uiName = "MASGunship Smoke";
//};

datablock AudioProfile(MASinterceptorFireSound1)
{
	filename    = "./ProtoLaserfire1.wav";
	description = AudioDefault3d;
	preload = true;
};

//Debris Shapes//
datablock DebrisData(MASinterceptorHullDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./hull_debris.dts";
	lifetime = 8.0;
	minSpinSpeed = -50.0;
	maxSpinSpeed = 50.0;
	elasticity = 0.4;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 3;
};

datablock DebrisData(MASinterceptorWingDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./wing_debris.dts";
	lifetime = 8.0;
	minSpinSpeed = -80.0;
	maxSpinSpeed = 80.0;
	elasticity = 0.4;
	friction = 0.2;
	numBounces = 2;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 3;
};

//Explosions//
datablock ExplosionData(MASinterceptorWingExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 100;

//   soundProfile = vehicleExplosionSound;
   
//   emitter[0] = vehicleFinalExplosionEmitter3;

   particleEmitter = "";
   particleDensity = 20;
   particleRadius = 1.0;

   debris = MASinterceptorWingDebris;
   debrisNum = 2;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 50;
   debrisVelocity = 16;
   debrisVelocityVariance = 5;

   faceViewer     = true;
   explosionScale = "1 1 1";
  
   //impulse
   impulseRadius = 1;
   impulseForce = 0;
   impulseVertical = 0;

   //radius damage
   radiusDamage        = 0;
   damageRadius        = 10;

};

//datablock ExplosionData(MASinterceptorPropExplosion)
//{
   //explosionShape = "";
//   lifeTimeMS = 100;

////   soundProfile = vehicleExplosionSound;
   
////   emitter[0] = vehicleFinalExplosionEmitter3;

//   particleEmitter = "";
//   particleDensity = 20;
//   particleRadius = 1.0;

//   debris = MASinterceptorPropDebris;
//   debrisNum = 2;
//   debrisNumVariance = 0;
//   debrisPhiMin = 0;
//   debrisPhiMax = 360;
//   debrisThetaMin = 0;
//   debrisThetaMax = 50;
//   debrisVelocity = 18;
//   debrisVelocityVariance = 5;

//   faceViewer     = true;
//   explosionScale = "1 1 1";
  
//   //impulse
//   impulseRadius = 1;
//   impulseForce = 0;
//   impulseVertical = 0;

//   //radius damage
//   radiusDamage        = 0;
//   damageRadius        = 10;

//};

datablock ExplosionData(MASinterceptorFinalExplosion)
{
	explosionShape = "Add-Ons/Weapon_Rocket_Launcher/explosionSphere1.dts";
   lifeTimeMS = 150;

   soundProfile = vehicleExplosionSound;
   
   emitter[0] = vehicleFinalExplosionEmitter3;
   emitter[1] = vehicleFinalExplosionEmitter2;

   particleEmitter = vehicleFinalExplosionEmitter;
   particleDensity = 20;
   particleRadius = 1.0;

	subExplosion[0] = MASinterceptorWingExplosion;
//	subExplosion[1] = MASinterceptorPropExplosion;

   debris = MASinterceptorHullDebris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 50;
   debrisVelocity = 15;
   debrisVelocityVariance = 3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "8.0 10.0 8.0";
   camShakeAmp = "13.0 13.0 13.0";
   camShakeDuration = 0.75;
   camShakeRadius = 15.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 20;
   lightStartColor = "0.45 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 10;
   impulseForce = 100;
   impulseVertical = 200;

   //radius damage
   radiusDamage        = 160;
   damageRadius        = 18;

   //burn the players?
   playerBurnTime = 5000;

};

datablock ProjectileData(MASinterceptorFinalExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = MASinterceptorFinalExplosion;

   directDamageType  = $DamageType::jeepExplosion;
   radiusDamageType  = $DamageType::jeepExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 10;
};

datablock ParticleData(MASProtoLaserParticle)
{
	dragCoefficient      = 0;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 350;
	lifetimeVarianceMS   = 50;
	textureName          = "base/data/particles/star1";
	spinSpeed			= 550.0;
	spinRandomMin		= 0.0;
	spinRandomMax		= 0.0;
	colors[0]     = "0.3 0.2 0.7 0.1";
	colors[1]     = "0.5 0.1 0.8 0.4";
	colors[2]     = "0.1 0.0 0.3 0.0";
	sizes[0]      = 0.87;
	sizes[1]      = 0.9;
	sizes[2]      = 0.8;
	times[0]	= 0;
	times[1]	= 0.15;
	times[2]	= 1;

	useInvAlpha = false;
};

//datablock ParticleData(MASProtoLaserTrailParticle)
//{
//	dragCoefficient      = 0;
//	gravityCoefficient   = 0;
//	inheritedVelFactor   = 0.0;
//	constantAcceleration = 0.0;
//	lifetimeMS           = 1500;
//	lifetimeVarianceMS   = 300;
//	textureName          = "base/data/particles/cloud";
//	spinSpeed		= 10.0;
//	spinRandomMin		= -500.0;
//	spinRandomMax		= 500.0;
//	colors[0]     = "0.3 0.0 0.6 0.4";
//	colors[1]     = "0.1 0.0 0.3 0.0";
//	sizes[0]      = 0.6;
//	sizes[1]      = 0.8;

//	useInvAlpha = false;
//};

datablock ParticleEmitterData(MASProtoLaserTrailEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 1;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 50;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "MASProtoLaserParticle"; //MASProtoLaserTrailParticle";

   uiName = "MAS Plasma Pulse";
};

datablock ParticleEmitterData(MASProtoLaserExplosionEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 1;
   ejectionVelocity = 8;
   velocityVariance = 5;
   ejectionOffset   = 2;
   thetaMin         = 0;
   thetaMax         = 50;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "MASProtoLaserParticle"; //MASProtoLaserTrailParticle";

   uiName = "";
};

datablock ExplosionData(MASProtoLaserExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 150;

   soundProfile = vehicleExplosionSound;
   
//   emitter[0] = vehicleFinalExplosionEmitter3;
//   emitter[1] = vehicleFinalExplosionEmitter2;

   particleEmitter = MASProtoLaserExplosionEmitter;
   particleDensity = 70;
   particleRadius = 1.0;

//	subExplosion[0] = MASinterceptorFanExplosion;

//   debris = MASinterceptorDebris;
//   debrisNum = 1;
//   debrisNumVariance = 0;
//   debrisPhiMin = 0;
//   debrisPhiMax = 360;
//   debrisThetaMin = 0;
//   debrisThetaMax = 50;
//   debrisVelocity = 15;
//   debrisVelocityVariance = 3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "23.0 28.0 10.0";
   camShakeAmp = "5.0 7.0 5.0";
   camShakeDuration = 1.8;
   camShakeRadius = 8.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 10;
   lightStartColor = "0.3 0.0 0.6";
   lightEndColor = "0.8 0 0.2";

   //impulse
   impulseRadius = 0;
   impulseForce = 0;
   impulseVertical = 0;

   //radius damage
   radiusDamage        = 20;
   damageRadius        = 6;

   //burn the players?
//   playerBurnTime = 5000;

};

//CI Icon
//AddDamageType("Sword",   '<bitmap:add-ons/Weapon_Sword/CI_sword> %1',    '%2 //<bitmap:add-ons/Weapon_Sword/CI_sword> %1',0.75,1);

//projectile
datablock ProjectileData(MASProtoLaserProjectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage        = 15;

//	directDamageType  = $DamageType::Sword;
//	radiusDamageType  = $DamageType::Sword;

   brickExplosionRadius = 1;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 8;
   brickExplosionMaxVolume = 8;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 10;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse		= 0;
   verticalImpulse		= 0;
   explosion           = MASProtoLaserExplosion;
   particleEmitter     = "MASProtoLaserTrailEmitter";

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 3000;
   fadeDelay           = 1000;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = true;
   lightRadius = 3.0;
   lightColor  = "0.3 0 0.6";
   
   uiName = "MAS Plasma Pulse";

};

//function Projectile::onAdd(%obj,%a,%b)
//{
//	if(%obj.dataBlock.getID() == MASProtoLaserProjectile.getID())
//	{    
//		%obj.initialvelocity=vectorscale(vectorNormalize(%obj.initialvelocity),2000);
//	}
//	Parent::onAdd(%obj,%a,%b);
//}
