datablock WheeledVehicleTire(MASinterceptorTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "base/data/shapes/empty.dts";
	
	mass = 8;
    radius = 0.4;
    staticFriction = 5;
   kineticFriction = 5;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 3000;	//18000
   lateralDamping = 200;	//4000
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 14000;
   longitudinalDamping = 2000;
   longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleSpring(MASinterceptorSpring)
{
   // Wheel suspension properties
   length = 0.25;			 // Suspension travel
   force = 2800; //3000;		 // Spring force
   damping = 1000; //600;		 // Spring damping
   antiSwayForce = 11; //10;		 // Lateral anti-sway force
};
